com.fasterxml.jackson.databind

## Class PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase
    - - com.fasterxml.jackson.databind.PropertyNamingStrategy.SnakeCaseStrategy
      - - com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy

All Implemented Interfaces:
  Serializable

Enclosing class:
  PropertyNamingStrategy

Deprecated.
In 2.7 use `PropertyNamingStrategy.SnakeCaseStrategy` instead

    @Deprecated
    public static class PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    extends PropertyNamingStrategy.SnakeCaseStrategy

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy, PropertyNamingStrategy.LowerDotCaseStrategy, PropertyNamingStrategy.PascalCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

`CAMEL_CASE_TO_LOWER_CASE_WITH_UNDERSCORES, KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, LOWER_DOT_CASE, PASCAL_CASE_TO_CAMEL_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

### Constructor Summary

Constructors
Constructor and Description
`LowerCaseWithUnderscoresStrategy()` Deprecated.

### Method Summary

### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy.SnakeCaseStrategy

`translate`

### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase

`nameForConstructorParameter, nameForField, nameForGetterMethod, nameForSetterMethod, translateLowerCaseWithSeparator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LowerCaseWithUnderscoresStrategy

    public LowerCaseWithUnderscoresStrategy()

Deprecated.